
Redmine - Defect #37925

Do not allow unkown display_type for query

2022-11-12 17:48 - Alexander Meindl

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 4.2.9   

Resolution: Fixed Affected version: 5.0.3

Description

There is a bug in validating display types for a query.

At the moment any value could set to display_type.

The attached patch fixed this and added tests for it.

Related issues:

Related to Redmine - Feature #29482: Query system for Projects page Closed

Associated revisions

Revision 21965 - 2022-11-28 23:41 - Marius BĂLTEANU

Query display types should accept only known types (#37925).

Patch by Alexander Meindl.

Revision 21968 - 2022-11-29 08:15 - Marius BĂLTEANU

Merge r21965 from trunk to 5.0-stable (#37925).

Revision 21969 - 2022-11-29 08:16 - Marius BĂLTEANU

Merge r21965 from trunk to 4.2-stable (#37925).

History

#1 - 2022-11-13 08:11 - Go MAEDA

- Related to Feature #29482: Query system for Projects page added

#2 - 2022-11-13 08:11 - Go MAEDA

- Category set to Projects

- Target version set to 4.2.9

Setting the target version to 4.2.9.

#3 - 2022-11-28 23:42 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

Fix committed, thanks!

#4 - 2022-11-28 23:42 - Marius BĂLTEANU

- Status changed from New to Resolved

#5 - 2022-12-01 16:02 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Files

2025-05-02 1/2



fix_query_display_type.patch 1.08 KB 2022-11-12 Alexander Meindl

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

http://www.tcpdf.org

